GetPolyline

Prompts the user to pick points that define a polyline.

Syntax

Rhino.GetPolyline ([intFlags [, strMessage1 [, strMessage2 [, strMessage3 [, strMessage4 [, intMin [, intMax]]]]]]])

Parameters

intFlags

Optional.  Integer.  The options, or flags. Values can be added together to specify more than one option. The default is 3.

Value

Description

1

Permit close option. If specified, then after 3 points have been picked, the user can type "Close" and a closed polyline will be returned.

2

Permit close snap. If specified, then after 3 points have been picked, the user can pick near the start point and a closed polyline will be returned.

4

Force close. If specified, then the returned polyline is always closed. If specified, then intMax must be 0 or >= 4.

Note, the default is 3, or "Permit close option = True", "Permit close snap = True", and "Force close = False".

strMessage1

Optional.  String.  A prompt or message for the first point.

strMessage2

Optional.  String.  A prompt or message for the second point.

strMessage3

Optional.  String.  A prompt or message for the third point.

strMessage4

Optional.  String.  A prompt or message for the "next" point.

intMin

Optional.  Number.  The minimum number of points to require. The default is 2.

intMax

Optional.  Number.  The maximum number of points to require; 0 for no limit.  The default is 0.

Returns

Array

An array of 3-D points that define the polyline if successful.

Null

If not successful, or on error.

Example

Dim arrPline

arrPline = Rhino.GetPolyline

If IsArray(arrPline) Then

Rhino.AddPolyline arrPline

End If

Also See

GetBox

GetLine

GetPolyline

GetRectangle